/* CSS */

$( "#page_nutrition_detail_rate" ).append('<link rel="stylesheet" type="text/css" href="css/pageNutritionDetailRate.css"/>');

/* VARIABLES */
var pageNutritionDetailRate = {

	$page: null,

    nutrition: {
        id: null,
        section: null,
        type: null,
        date: null
    },

    //Funcion a llamar para actualizar valoracion del detalle de nutricion
    saveRate: function(rate)
    {
        Nire.connection.saveRate( this.nutrition.id, rate)
        .done(function() {
            $.mobile.back();
        });
    },

    setRateSelected: function(value)
    {
        //Cambiamos desde la primera estrella a la seleccionada/
        //Hay que cambiar las estrellas y el delete por los iconos del diseño
        $("#detail_valoration a").each(function(i, el){
            if($(el).jqmData("value") <= value){
                $(el).removeClass("ui-icon-val_star").addClass("ui-icon-val_star_sel");
            }
            else{
                $(el).removeClass("ui-icon-val_star_sel").addClass("ui-icon-val_star");
            }
        });
    }
};

/* EVENTS */

$( document ).off( ".nutrition_detail_rate" )

    .on( "click.nutrition_detail_rate", "#detail_valoration a", function()
    {
        pageNutritionDetailRate.setRateSelected($(this).jqmData("value"))
    })

	.on( "click.nutrition_detail_rate", ".btn_save", function()
	{
		pageNutritionDetailRate.saveRate($("#detail_valoration a").jqmData("value"));
	});