Nire.LocalStorage = function(user, domain){
    this.username = domain + "##" + user + "_";
}

Nire.LocalStorage.prototype.setItem = function(key, value) {
    localStorage.setItem(this.username + key, value);
}

Nire.LocalStorage.prototype.getItem = function(key) {
    return localStorage.getItem(this.username + key)
}

Nire.LocalStorage.prototype.removeItem = function(key) {
    localStorage.removeItem(this.username + key)
}

Nire.LocalStorage.prototype.setJSONItem = function(key, value) {
    localStorage.setItem(this.username + key, JSON.stringify(value));
}

Nire.LocalStorage.prototype.getJSONItem = function(key) {
    if(localStorage.getItem(this.username + key))
        return JSON.parse(localStorage.getItem(this.username + key))
    return null
}

/**
 * Borra todas las claves asociadas al usuario del localstorage
 */
Nire.LocalStorage.prototype.clear = function() {
    localStorage.clear();
}