var LoginHelper = {
    /**
     * Procesa un login exitoso en el servidor.
     * @param documentType tipo de documento de usuario como lo ingreso en el login
     * @param username nombre del usuario tal cual lo ingresó en el login
     * @param data json que retornó el servidor
     */
    processLoginSuccess: function(documentType, username, data) {
        localStorage.setItem(CREDENTIALS_USERNAME, username);
        localStorage.setItem(CREDENTIALS_DOCUMENT_TYPE, documentType);
        Nire.localStorage.removeItem(APP_DATE_STATE);

        var destinationPage = "timeline.html"
        if(data.redirect == "biography") destinationPage = "registryBiography.html" + (data.profile ? "?profile=true" : "");
        else if(data.redirect == "form") destinationPage = "profileQuestion.html";

        $( "body" ).pagecontainer( "change", destinationPage );
    },

    processLoginError: function(call, result, errorTxt) {
        if(errorTxt == "INVALID_CREDENTIALS") {
            showAlert(
                gjson_lang["login_invalid_username"],   // message
                null,   // callback
                gjson_lang["access_denied"],    // title
                gjson_lang["accept"]    // buttonName
            );
            // $("#page_login_password").val("");
        }
        else LoginHelper.showServerError()
    },

    showServerError: function(call, result, message) {
        var text = "There are some problems connecting you. Please try again.";
        getLogger("LoginHelper", text, call, result, message);
        showAlert(text);
    }
};
