/**
 * function to show loading message and get the posibility to unbind the function
 */
function showLoading ( p_msg_text, p_text_visible, p_text_only, p_html, p_theme )
{
    var str_msg_text = ( typeof p_msg_text == "string" ) ? p_msg_text : ""; //$.mobile.loader.prototype.options.text;
    var b_text_visible = ( typeof p_text_visible == "boolean" ) ? p_text_visible : false; //$.mobile.loader.prototype.options.textVisible;
    var b_text_only = ( typeof p_text_only == "boolean" ) ? p_text_only : false;
    var str_html = ( typeof p_msg_text == "string" ) ? p_html : "";
    var str_theme = ( typeof p_msg_text == "string" ) ?p_theme : $.mobile.loader.prototype.options.theme;

    $.mobile.loading( "show", {
        text: str_msg_text,
        textVisible: b_text_visible,
        textonly: b_text_only,
        theme: str_theme,
        html: str_html
    });
}
/**
 * function to hide loading message
 */
function hideLoading ( )
{
    $.mobile.loading("hide");
}

$.widget( "ui.tabs", $.ui.tabs, {

    _createWidget: function( options, element ) {
        var page, delayedCreate,
            that = this;

        if ( $.mobile.page ) {
            page = $( element )
                .parents( ":jqmData(role='page'),:mobile-page" )
                .first();

            if ( page.length > 0 && !page.hasClass( "ui-page-active" ) ) {
                delayedCreate = this._super;
                page.one( "pagebeforeshow", function() {
                    delayedCreate.call( that, options, element );
                });
            }
        } else {
            return this._super();
        }
    }
});

function alertServerFailure() {
    showToast(gjson_lang["server_failure"])
}

function showLogin()
{
    if ( $( "body" ).pagecontainer( "getActivePage" ).not( "[id^=page_login]" ).length ) {
        $( "body" ).pagecontainer( "change", "index.html", { "reload": true } );
    }
}


