/*CSS*/

$( "body" ).append('<link rel="stylesheet" type="text/css" href="css/pageNutritionShoppingList.css"/>');

/* VARIABLES */
var pageNutritionShoppingList = {

    $page: null,

    getData: function($page)
    {

    },

    createHeader: function()
    {
    	var template = Handlebars.compile($("#template-header").html());

        $( "#app_header" ).html( template({ title: gjson_lang["nutrition_shopping_list_title"] }) );
    	$( "#app_header" ).toolbar( "refresh" );
    	$( "#app_header" ).show();
    	$( "#app_header" ).toolbar( "updatePagePadding" );
        $.mobile.resetActivePageHeight();
    },

    addContent: function(json)
    {
    	
    },

    createPage: function(ajson_body)
    {

    }

};

/* EVENTS */

$( window ).off( ".nutrition_shopping_list")
	.on( "resize.nutrition_shopping_list", function()
	{
		if (pageNutritionShoppingList) {
			adjustSizeOfGridFooterActions($("#page_nutrition_shopping_list"));
		}
	});

$( document ).off( ".nutrition_shopping_list" )

	.on("pagecreate.nutrition_shopping_list", "#page_nutrition_shopping_list", function()
    {
		$( "#app_header" ).toolbar();
    })
    
	.on("pageshow.nutrition_shopping_list", "#page_nutrition_shopping_list", function()
	{
		pageNutritionShoppingList.createHeader();
		adjustSizeOfGridFooterActions($(this));
	})
	
	.on("pageremove.nutrition_shopping_list", "#page_nutrition_shopping_list", function()
	{
    	$( window ).off( ".nutrition_shopping_list" );
    	$( document ).off( ".nutrition_shopping_list" );
		$( 'link[href="css/pageNutritionShoppingList.css"]' ).remove();
		pageNutritionShoppingList = null;
	});