/* CSS */
$( "body" ).append('<link rel="stylesheet" type="text/css" href="css/pageTreatmentList.css"/>');

/* VARIABLES */
var pageTreatmentList = {
    getData : function(day)
    {
        // TODO: Como aun no estamos integrandonos realmente, hardcodeamos el Treatment 1, pero este
        // valor debería ser recibido como parámetro en la solicitud de la página indicando cual de los
        // multiples tratamientos que un paciente puede tener, se quiere visualizar.
        Nire.connection.treatmentList()
            .done( this.addContent.bind(this) )
            .fail( function() { console.log("Error", arguments) } )
    },

    createHeader : function()
    {
        var template = Handlebars.compile($("#template-header").html());

        $( "#app_header" ).html( template() );
        $( "#app_header" ).toolbar( "refresh" );
        $( "#app_header" ).show();
        $( "#app_header" ).toolbar( "updatePagePadding" );
        $.mobile.resetActivePageHeight();
    },

    addContent : function(data)
    {
        $("#page_treatments").empty();

        // Lista de medicaciones del día
        var template = Handlebars.compile($("#template-treatment").html());
        $.each(data.body.treatments, function(i){
            var element = $(template(this));
            element.find(".track_body").data( "nire", this );
            $("#page_treatments").append(element);
        });
        $("#page_treatments").trigger( "updatelayout" );
    }

};

/* EVENTS */
$( document ).off(".treatmentList")
    
    .on("pagecreate.treatmentList", "#page_treatment_list", function()
    {
        $( "#app_header" ).toolbar();
    })

    .on("pageshow.treatmentList", "#page_treatment_list", function()
    {
        pageTreatmentList.createHeader();
        pageTreatmentList.getData(  );
    })
;