
Nire.CacheHandler = function(currentUsername){
    this.currentUsername = currentUsername;
}

    //localStorage.setItem("pageHome_" + day, JSON.stringify(data))
Nire.CacheHandler.prototype.save = function (key, json){
    try {
        localStorage.setItem("cacheUser", this.currentUsername);
        localStorage.setItem("cacheDataDay", moment().format("MM-DD-YYYY"));
        localStorage.setItem("cache_" + key, JSON.stringify(json));
    } catch(err){
        console.log("full memory");
    }
}

Nire.CacheHandler.prototype.get = function (key){
    var cachedUser = localStorage.getItem("cacheUser")
    console.log(cachedUser)
    console.log(this.currentUsername)

    if(cachedUser && cachedUser == this.currentUsername) {
        var cacheDay = localStorage.getItem("cacheDataDay");
        if(moment().format("MM-DD-YYYY") == cacheDay)
            return JSON.parse(localStorage.getItem("cache_" + key));
    }
    this.clearCache();
    return null;
}

Nire.CacheHandler.prototype.clearCache = function (){
    for(var i = localStorage.length - 1; i >= 0 ; i--) {
        var key = localStorage.key(i);
        if(key.indexOf("cache_") == 0)
            localStorage.removeItem(key);
    }
}

Nire.CacheHandler.prototype.checkUpdatedUserData = function(data){
    var userLastUpdateValue = localStorage.getItem("cache_userLastUpdateValue")
    if(!userLastUpdateValue){
        localStorage.setItem("cache_userLastUpdateValue", data.data.value)
    } else{
        if(data.data.value != userLastUpdateValue){
            this.clearCache()
            localStorage.setItem("cache_userLastUpdateValue", data.data.value)
        }
    }
}
