
Nire.CacheHandler = function(currentUsername){
    this.currentUsername = currentUsername;
    this.log = getLogger("CacheHandler");

    // Si el nombre del usuario actual no es el mismo nombre que el usuario que esta
    // regitrado en las entradas del cache, invalidamos todo el cache.
    var cacheUser = lscache.get("cacheUser");
    if(cacheUser != currentUsername) {
        this.log("Cached user and current user does not match.", cacheUser, currentUsername)
        this.invalidate();
    }
}

    //localStorage.setItem("pageHome_" + day, JSON.stringify(data))
Nire.CacheHandler.prototype.save = function (key, json){
    try {
        lscache.set(key, json, CACHE_HOURS * 60);
    } catch(err){
        this.log("Memory is full. Cache will not be working.");
    }
}

Nire.CacheHandler.prototype.get = function (key) {
    return lscache.get(key);
}

Nire.CacheHandler.prototype.invalidate = function() {
    this.log("Invalidando cache");
    
    lscache.flush();
    lscache.set("cacheUser", this.currentUsername);
}
